Debian Bug report logs - #573071
linux-image-2.6.32-2-amd64: KVM linux guests oops in kvm_leave_lazy_mmu on boot

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Vadim Solomin <vadic052@gmail.com>

Date: Mon, 8 Mar 2010 17:21:02 UTC

Severity: normal

Tags: patch, pending

Merged with 579810, 581703

Found in version 2.6.32-8

Fixed in versions linux-2.6/2.6.26-22lenny1, linux-2.6/2.6.32-12

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Forwarded to kvm@vger.kernel.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Mon, 08 Mar 2010 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vadim Solomin <vadic052@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Mar 2010 17:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vadim Solomin <vadic052@gmail.com>
To: submit@bugs.debian.org
Subject: linux-image-2.6.32-2-amd64: KVM linux guests oops in kvm_leave_lazy_mmu on boot
Date: Mon, 8 Mar 2010 20:19:27 +0300
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.32-8
Severity: normal

After installing linux-image-2.6.32-2-amd64 (version 2.6.32-8) on the *host*, 
some linux *guest* kernels oops in kvm_leave_lazy_mmu on boot. Tested guest 
kernels that fail are linux-image-2.6.30-2-amd64 (2.6.30-8squeeze1), linux-
image-2.6.32-trunk-amd64 (2.6.32-5), linux-image-2.6.32-2-amd64 (2.6.32-8), 
linux-image-2.6.32-3-amd64 (2.6.32-9). However linux-image-2.6.26-2-amd64 from 
stable (version 2.6.26-21lenny3) boots ok.

After rebooting the host back to linux-image-2.6.32-trunk-amd64 (2.6.32-5) 
guest kernels boot normally.

Ubuntu seems to have similar bug report: 
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/531823

Kernel logs from guest are attached. KVM version is qemu-kvm 0.11.1+dfsg-1

-- 
Vadim Solomin
[oops-2.6.32-3-amd64 (text/plain, inline)]
Loading Linux 2.6.32-3-amd64 ...
Loading initial ramdisk ...     
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu   
[    0.000000] Linux version 2.6.32-3-amd64 (Debian 2.6.32-9) (maks@debian.org) (gcc version 4.3.4 (Debian 4.3.4-8) ) #1 SMP Wed Feb 24 18:07:42 UTC 2010
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-3-amd64 root=UUID=ba75fa3b-56f7-4d29-a88c-56681927c7e5 ro rootflags=acl console=tty0 console=ttyS0,115200n8
[    0.000000] KERNEL supported cpus:                                                                                                                                   
[    0.000000]   Intel GenuineIntel                                                                                                                                     
[    0.000000]   AMD AuthenticAMD                                                                                                                                       
[    0.000000]   Centaur CentaurHauls                                                                                                                                   
[    0.000000] BIOS-provided physical RAM map:                                                                                                                          
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009f000 (usable)                                                                                                 
[    0.000000]  BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)                                                                                               
[    0.000000]  BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)                                                                                               
[    0.000000]  BIOS-e820: 0000000000100000 - 000000006fff0000 (usable)                                                                                                 
[    0.000000]  BIOS-e820: 000000006fff0000 - 0000000070000000 (ACPI data)                                                                                              
[    0.000000]  BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)                                                                                               
[    0.000000] DMI 2.4 present.                                                                                                                                         
[    0.000000] last_pfn = 0x6fff0 max_arch_pfn = 0x400000000                                                                                                            
[    0.000000] x86 PAT enabled: cpu 0, old 0x0, new 0x7010600070106                                                                                                     
[    0.000000] init_memory_mapping: 0000000000000000-000000006fff0000                                                                                                   
[    0.000000] RAMDISK: 37651000 - 37fef99e                                                                                                                             
[    0.000000] ACPI: RSDP 00000000000fbdb0 00014 (v00 QEMU  )                                                                                                           
[    0.000000] ACPI: RSDT 000000006fff0000 00034 (v01 QEMU   QEMURSDT 00000001 QEMU 00000001)                                                                           
[    0.000000] ACPI: FACP 000000006fff01b4 00074 (v01 QEMU   QEMUFACP 00000001 QEMU 00000001)                                                                           
[    0.000000] ACPI: DSDT 000000006fff0280 01DD4 (v01   BXPC   BXDSDT 00000001 INTL 20090521)                                                                           
[    0.000000] ACPI: FACS 000000006fff0240 00040                                                                                                                        
[    0.000000] ACPI: SSDT 000000006fff2054 009E3 (v01   BXPC   BXSSDT 00000001 INTL 20090521)                                                                           
[    0.000000] ACPI: APIC 000000006fff2a38 000EA (v01 QEMU   QEMUAPIC 00000001 QEMU 00000001)                                                                           
[    0.000000] ACPI: HPET 000000006fff2b90 00038 (v01 QEMU   QEMUHPET 00000001 QEMU 00000001)                                                                           
[    0.000000] No NUMA configuration found                                                                                                                              
[    0.000000] Faking a node at 0000000000000000-000000006fff0000                                                                                                       
[    0.000000] Bootmem setup node 0 0000000000000000-000000006fff0000                                                                                                   
[    0.000000]   NODE_DATA [000000000000a000 - 0000000000011fff]                                                                                                        
[    0.000000]   bootmap [0000000000012000 -  000000000001ffff] pages e                                                                                                 
[    0.000000] (7 early reservations) ==> bootmem [0000000000 - 006fff0000]                                                                                             
[    0.000000]   #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]                                                                            
[    0.000000]   #1 [0000006000 - 0000008000]       TRAMPOLINE ==> [0000006000 - 0000008000]                                                                            
[    0.000000]   #2 [0001000000 - 000166aa14]    TEXT DATA BSS ==> [0001000000 - 000166aa14]                                                                            
[    0.000000]   #3 [0037651000 - 0037fef99e]          RAMDISK ==> [0037651000 - 0037fef99e]                                                                            
[    0.000000]   #4 [000009fc00 - 0000100000]    BIOS reserved ==> [000009fc00 - 0000100000]                                                                            
[    0.000000]   #5 [000166b000 - 000166b065]              BRK ==> [000166b000 - 000166b065]                                                                            
[    0.000000]   #6 [0000008000 - 000000a000]          PGTABLE ==> [0000008000 - 000000a000]                                                                            
[    0.000000] found SMP MP-table at [ffff8800000fbc90] fbc90                                                                                                           
[    0.000000] kvm-clock: cpu 0, msr 0:14d9541, boot clock                                                                                                              
[    0.000000] Zone PFN ranges:                                                                                                                                         
[    0.000000]   DMA      0x00000000 -> 0x00001000                                                                                                                      
[    0.000000]   DMA32    0x00001000 -> 0x00100000                                                                                                                      
[    0.000000]   Normal   0x00100000 -> 0x00100000                                                                                                                      
[    0.000000] Movable zone start PFN for each node                                                                                                                     
[    0.000000] early_node_map[2] active PFN ranges                                                                                                                      
[    0.000000]     0: 0x00000000 -> 0x0000009f                                                                                                                          
[    0.000000]     0: 0x00000100 -> 0x0006fff0                                                                                                                          
[    0.000000] ACPI: PM-Timer IO Port: 0xb008                                                                                                                           
[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)                                                                                                       
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x04] lapic_id[0x04] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x05] lapic_id[0x05] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x06] lapic_id[0x06] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x07] lapic_id[0x07] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x08] lapic_id[0x08] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x09] lapic_id[0x09] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x0a] lapic_id[0x0a] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x0b] lapic_id[0x0b] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x0c] lapic_id[0x0c] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x0d] lapic_id[0x0d] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x0e] lapic_id[0x0e] disabled)                                                                                                      
[    0.000000] ACPI: LAPIC (acpi_id[0x0f] lapic_id[0x0f] disabled)                                                                                                      
[    0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])                                                                                                  
[    0.000000] IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23                                                                                           
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)                                                                                                 
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)                                                                                              
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)                                                                                              
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)                                                                                            
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)                                                                                            
[    0.000000] Using ACPI (MADT) for SMP configuration information                                                                                                      
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000                                                                                                               
[    0.000000] SMP: Allowing 16 CPUs, 15 hotplug CPUs                                                                                                                   
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000                                                                                        
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000e8000                                                                                        
[    0.000000] PM: Registered nosave memory: 00000000000e8000 - 0000000000100000                                                                                        
[    0.000000] Allocating PCI resources starting at 70000000 (gap: 70000000:8ffbc000)                                                                                   
[    0.000000] Booting paravirtualized kernel on KVM                                                                                                                    
[    0.000000] NR_CPUS:512 nr_cpumask_bits:512 nr_cpu_ids:16 nr_node_ids:1                                                                                              
[    0.000000] PERCPU: Embedded 29 pages/cpu @ffff880001800000 s89880 r8192 d20712 u131072                                                                              
[    0.000000] pcpu-alloc: s89880 r8192 d20712 u131072 alloc=1*2097152                                                                                                  
[    0.000000] pcpu-alloc: [0] 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15                                                                                          
[    0.000000] kvm-clock: cpu 0, msr 0:1815541, primary cpu clock                                                                                                       
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 452266                                                                              
[    0.000000] Policy zone: DMA32                                                                                                                                       
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-3-amd64 root=UUID=ba75fa3b-56f7-4d29-a88c-56681927c7e5 ro rootflags=acl console=tty0 console=ttyS0,115200n8
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)                                                                                                            
[    0.000000] Initializing CPU#0                                                                                                                                              
[    0.000000] Checking aperture...                                                                                                                                            
[    0.000000] No AGP bridge found                                                                                                                                             
[    0.000000] Memory: 1789320k/1834944k available (3014k kernel code, 388k absent, 45236k reserved, 1860k data, 580k init)                                                    
[    0.000000] SLUB: Genslabs=14, HWalign=64, Order=0-3, MinObjects=0, CPUs=16, Nodes=1                                                                                        
[    0.000000] Hierarchical RCU implementation.                                                                                                                                
[    0.000000] NR_IRQS:4352 nr_irqs:536                                                                                                                                        
[    0.000000] Console: colour dummy device 80x25                                                                                                                              
[    0.000000] console [tty0] enabled                                                                                                                                          
[    0.000000] console [ttyS0] enabled                                                                                                                                         
[    0.000000] HPET: 3 timers in total, 0 timers will be used for per-cpu timer                                                                                                
[    0.000000] Detected 2813.046 MHz processor.                                                                                                                                
[    0.028001] Calibrating delay loop (skipped) preset value.. 5626.09 BogoMIPS (lpj=11252184)                                                                                 
[    0.028001] Security Framework initialized                                                                                                                                  
[    0.028027] SELinux:  Disabled at boot.                                                                                                                                     
[    0.032660] Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)                                                                                               
[    0.037619] Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)                                                                                                
[    0.040054] Mount-cache hash table entries: 256                                                                                                                             
[    0.041405] Initializing cgroup subsys ns                                                                                                                                   
[    0.042074] Initializing cgroup subsys cpuacct                                                                                                                              
[    0.042867] Initializing cgroup subsys devices                                                                                                                              
[    0.043588] Initializing cgroup subsys freezer                                                                                                                              
[    0.044015] Initializing cgroup subsys net_cls                                                                                                                              
[    0.044856] CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)                                                                                               
[    0.046012] CPU: L2 Cache: 512K (64 bytes/line)                                                                                                                             
[    0.046744] CPU 0/0x0 -> Node 0                                                                                                                                             
[    0.047268] mce: CPU supports 10 MCE banks                                                                                                                                  
[    0.048104] Performance Events: AMD PMU driver.                                                                                                                             
[    0.048923] ... version:                0                                                                                                                                   
[    0.049614] ... bit width:              48                                                                                                                                  
[    0.050274] ... generic registers:      4                                                                                                                                   
[    0.050920] ... value mask:             0000ffffffffffff                                                                                                                    
[    0.052005] ... max period:             00007fffffffffff                                                                                                                    
[    0.052853] ... fixed-purpose events:   0                                                                                                                                   
[    0.053517] ... event mask:             000000000000000f                                                                                                                    
[    0.054410] SMP alternatives: switching to UP code                                                                                                                          
[    0.182511] ACPI: Core revision 20090903                                                                                                                                    
[    0.184585] Setting APIC routing to flat                                                                                                                                    
[    0.186867] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1                                                                                                            
[    0.187900] CPU0: AMD QEMU Virtual CPU version 0.11.1 stepping 03                                                                                                           
[    0.192001] Brought up 1 CPUs                                                                                                                                               
[    0.192001] Total of 1 processors activated (5626.09 BogoMIPS).                                                                                                             
[    0.192001] devtmpfs: initialized                                                                                                                                           
[    0.194256] regulator: core version 0.5                                                                                                                                     
[    0.195067] NET: Registered protocol family 16                                                                                                                              
[    0.196098] ACPI: bus type pci registered                                                                                                                                   
[    0.196959] PCI: Using configuration type 1 for base access                                                                                                                 
[    0.198602] bio: create slab <bio-0> at 0                                                                                                                                   
[    0.201565] ACPI: Interpreter enabled                                                                                                                                       
[    0.202202] ACPI: (supports S0 S3 S4 S5)                                                                                                                                    
[    0.202967] ACPI: Using IOAPIC for interrupt routing                                                                                                                        
[    0.206818] ACPI: No dock devices found.                                                                                                                                    
[    0.207516] ACPI: PCI Root Bridge [PCI0] (0000:00)                                                                                                                          
[    0.209909] pci 0000:00:01.3: quirk: region b000-b03f claimed by PIIX4 ACPI                                                                                                 
[    0.211180] pci 0000:00:01.3: quirk: region b100-b10f claimed by PIIX4 SMB                                                                                                  
[    0.219238] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)                                                                                                                 
[    0.220407] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)                                                                                                                 
[    0.221551] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)                                                                                                                 
[    0.222684] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)                                                                                                                 
[    0.224071] vgaarb: loaded                                                                                                                                                  
[    0.224714] PCI: Using ACPI for IRQ routing                                                                                                                                 
[    0.225812] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0                                                                                                                         
[    0.226730] hpet0: 3 comparators, 64-bit 100.000000 MHz counter                                                                                                             
[    0.232009] Switching to clocksource kvm-clock                                                                                                                              
[    0.234436] pnp: PnP ACPI init                                                                                                                                              
[    0.234998] ACPI: bus type pnp registered                                                                                                                                   
[    0.235995] pnp: PnP ACPI: found 6 devices                                                                                                                                  
[    0.236395] ACPI: ACPI bus type pnp unregistered                                                                                                                            
[    0.242040] NET: Registered protocol family 2                                                                                                                               
[    0.243627] IP route cache hash table entries: 65536 (order: 7, 524288 bytes)                                                                                               
[    0.252647] TCP established hash table entries: 262144 (order: 10, 4194304 bytes)                                                                                           
[    0.259678] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)                                                                                                    
[    0.261994] TCP: Hash tables configured (established 262144 bind 65536)                                                                                                     
[    0.263130] TCP reno registered                                                                                                                                             
[    0.264050] NET: Registered protocol family 1                                                                                                                               
[    0.264847] pci 0000:00:00.0: Limiting direct PCI/PCI transfers                                                                                                             
[    0.265865] pci 0000:00:01.0: PIIX3: Enabling Passive Release                                                                                                               
[    0.266852] pci 0000:00:01.0: Activating ISA DMA hang workarounds                                                                                                           
[    0.267990] Unpacking initramfs...                                                                                                                                          
[    0.507347] Freeing initrd memory: 9850k freed                                                                                                                              
[    0.513183] audit: initializing netlink socket (disabled)                                                                                                                   
[    0.514134] type=2000 audit(1268062689.512:1): initialized                                                                                                                  
[    0.517876] HugeTLB registered 2 MB page size, pre-allocated 0 pages                                                                                                        
[    0.520385] VFS: Disk quotas dquot_6.5.2                                                                                                                                    
[    0.521143] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)                                                                                                       
[    0.522322] msgmni has been set to 3514                                                                                                                                     
[    0.523273] alg: No test for stdrng (krng)                                                                                                                                  
[    0.524053] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)                                                                                            
[    0.525324] io scheduler noop registered                                                                                                                                    
[    0.525996] io scheduler anticipatory registered                                                                                                                            
[    0.526783] io scheduler deadline registered                                                                                                                                
[    0.527541] io scheduler cfq registered (default)                                                                                                                           
[    0.530031] Linux agpgart interface v0.103                                                                                                                                  
[    0.530740] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled                                                                                                         
[    0.532124] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A                                                                                                            
[    0.533640] 00:05: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A                                                                                                                 
[    0.534697] input: Macintosh mouse button emulation as /devices/virtual/input/input0                                                                                        
[    0.536066] PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12                                                                                            
[    0.538105] serio: i8042 KBD port at 0x60,0x64 irq 1                                                                                                                        
[    0.538953] serio: i8042 AUX port at 0x60,0x64 irq 12                                                                                                                       
[    0.539906] mice: PS/2 mouse device common for all mice                                                                                                                     
[    0.541338] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1                                                                              
[    0.543089] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0                                                                                                           
[    0.544273] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs                                                                                                          
[    0.545465] cpuidle: using governor ladder                                                                                                                                  
[    0.546168] cpuidle: using governor menu                                                                                                                                    
[    0.546842] No iBFT detected.                                                                                                                                               
[    0.547824] TCP cubic registered                                                                                                                                            
[    0.548588] NET: Registered protocol family 10                                                                                                                              
[    0.550579] lo: Disabled Privacy Extensions                                                                                                                                 
[    0.551576] Mobile IPv6                                                                                                                                                     
[    0.552036] NET: Registered protocol family 17                                                                                                                              
[    0.552911] registered taskstats version 1                                                                                                                                  
[    0.554077] rtc_cmos 00:01: setting system clock to 2010-03-08 15:38:09 UTC (1268062689)                                                                                    
[    0.555485] Freeing unused kernel memory: 580k freed                                                                                                                        
[    0.556794] Write protecting the kernel read-only data: 4144k
[    0.572016] BUG: unable to handle kernel paging request at ffffffff8102c1f1
[    0.572016] IP: [<ffffffff8102c1f1>] kvm_leave_lazy_mmu+0x54/0x7c
[    0.572016] PGD 1003067 PUD 1007063 PMD 6d329063 PTE 102c161
[    0.572016] Oops: 0003 [#1] SMP
[    0.572016] last sysfs file:
[    0.572016] CPU 0
[    0.572016] Modules linked in:
[    0.572016] Pid: 1, comm: init Not tainted 2.6.32-3-amd64 #1
[    0.572016] RIP: 0010:[<ffffffff8102c1f1>]  [<ffffffff8102c1f1>] kvm_leave_lazy_mmu+0x54/0x7c
[    0.572016] RSP: 0018:ffff88006fb5b970  EFLAGS: 00010293
[    0.572016] RAX: 0000000000000002 RBX: 0000000000000018 RCX: 000000000180e460
[    0.572016] RDX: 0000000000000000 RSI: ffff880000000001 RDI: ffff88000180e460
[    0.572016] RBP: ffff88000180e460 R08: 0000000000000000 R09: ffff88006d3582f0
[    0.572016] R10: 000000000006a47f R11: 0000000000000001 R12: 0000000000000018
[    0.572016] R13: ffff88000180e460 R14: 0000000000000000 R15: 0000000000000002
[    0.572016] FS:  0000000000000000(0000) GS:ffff880001800000(0000) knlGS:0000000000000000
[    0.572016] CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
[    0.572016] CR2: ffffffff8102c1f1 CR3: 000000006d32d000 CR4: 00000000000006f0
[    0.572016] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[    0.572016] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[    0.572016] Process init (pid: 1, threadinfo ffff88006fb5a000, task ffff88006fb60000)
[    0.572016] Stack:
[    0.572016]  00007fffffffe000 8000000001554067 00007ffffffff000 ffff88006d348ff8
[    0.572016] <0> 00007fff33a77000 ffff88006d34c3b8 00007fffffffe000 ffffffff810d213d
[    0.572016] <0> 0000000000100173 00007ffffffff000 00007fffffffe000 ffff88006d358000
[    0.572016] Call Trace:
[    0.572016]  [<ffffffff810d213d>] ? move_page_tables+0x3ad/0x524
[    0.572016]  [<ffffffff810f2a73>] ? setup_arg_pages+0x198/0x2f3
[    0.572016]  [<ffffffff81124808>] ? load_elf_binary+0x0/0x1958
[    0.572016]  [<ffffffff81124cef>] ? load_elf_binary+0x4e7/0x1958
[    0.572016]  [<ffffffff810ed38d>] ? do_sync_read+0xce/0x113
[    0.572016]  [<ffffffff81064a56>] ? autoremove_wake_function+0x0/0x2e
[    0.572016]  [<ffffffff81124808>] ? load_elf_binary+0x0/0x1958
[    0.572016]  [<ffffffff810f1ad6>] ? search_binary_handler+0xb4/0x245
[    0.572016]  [<ffffffff81123244>] ? load_script+0x0/0x1ec
[    0.572016]  [<ffffffff81123405>] ? load_script+0x1c1/0x1ec
[    0.572016]  [<ffffffff810f16ea>] ? get_arg_page+0x4b/0xa4
[    0.572016]  [<ffffffff810f1ad6>] ? search_binary_handler+0xb4/0x245
[    0.572016]  [<ffffffff810f2f27>] ? do_execve+0x1e8/0x2dc
[    0.572016]  [<ffffffff8100f4eb>] ? sys_execve+0x35/0x4c
[    0.572016]  [<ffffffff81011c28>] ? kernel_execve+0x68/0xd0
[    0.572016]  [<ffffffff8100a20a>] ? init_post+0x95/0x187
[    0.572016]  [<ffffffff814da6c8>] ? kernel_init+0x1a9/0x1b4
[    0.572016]  [<ffffffff814da140>] ? early_idt_handler+0x0/0x71
[    0.572016]  [<ffffffff81011baa>] ? child_rip+0xa/0x20
[    0.572016]  [<ffffffff814da140>] ? early_idt_handler+0x0/0x71
[    0.572016]  [<ffffffff814da51f>] ? kernel_init+0x0/0x1b4
[    0.572016]  [<ffffffff81011ba0>] ? child_rip+0x0/0x20
[    0.572016] Code: 00 04 00 00 85 c0 74 3b 41 89 c4 49 89 ed 41 bf 02 00 00 00 45 31 f6 4c 89 ef 44 89 e3 e8 44 9d 00 00 4c 89 f2 48 89 c1 44 89 f8 <0f> 01 c1 48 63 d0 49 01 d5 41 29 c4 75 de c7 85 00 04 00 00 00
[    0.572016] RIP  [<ffffffff8102c1f1>] kvm_leave_lazy_mmu+0x54/0x7c
[    0.572016]  RSP <ffff88006fb5b970>
[    0.572016] CR2: ffffffff8102c1f1
[    0.572016] ---[ end trace de0b1dfc95c99fb7 ]---

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Wed, 10 Mar 2010 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Huebner <debalance@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Mar 2010 13:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 573071@bugs.debian.org (full text, mbox):

From: Philipp Huebner <debalance@debian.org>
To: 573071@bugs.debian.org
Subject: Re: linux-image-2.6.32-2-amd64: KVM linux guests oops in kvm_leave_lazy_mmu on boot
Date: Wed, 10 Mar 2010 14:30:54 +0100
[Message part 1 (text/plain, inline)]
Hi,

I am also affected by this bug.
When the guest is running kernel <= 2.6.29 - no problem, >= 2.6.30 -
instant crash.

Rebooting the host back into 2.6.30 makes all guests work normally (with
any guest kernel version).

Regards,
-- 
 .''`.   Philipp Huebner <debalance@debian.org>
: :'  :  pgp fp: 6719 25C5 B8CD E74A 5225  3DF9 E5CA 8C49 25E4 205F
`. `'`   HP: http://www.debalance.de, Skype: philipp-huebner
  `-     ICQ: 235-524-440, Jabber: der_schakal@jabber.org

[signature.asc (application/pgp-signature, attachment)]

Set Bug forwarded-to-address to 'kvm@vger.kernel.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 11 Mar 2010 02:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Fri, 12 Mar 2010 05:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 12 Mar 2010 05:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 573071@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 573071@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: linux-image-2.6.32-2-amd64: KVM linux guests oops in kvm_leave_lazy_mmu on boot
Date: Fri, 12 Mar 2010 05:47:34 +0000
[Message part 1 (text/plain, inline)]
tags 573071 + patch
thanks

The patch posted at <http://marc.info/?l=kvm&m=126834221504655&w=2>
should fix this.  It's cc'd to stable so we may just pick it up that
way.

Ben.

-- 
Ben Hutchings
If God had intended Man to program,
we'd have been born with serial I/O ports.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 12 Mar 2010 05:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Tue, 23 Mar 2010 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roman Medina-Heigl Hernandez <roman@rs-labs.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 23 Mar 2010 10:24:03 GMT) Full text and rfc822 format available.

Message #24 received at 573071@bugs.debian.org (full text, mbox):

From: Roman Medina-Heigl Hernandez <roman@rs-labs.com>
To: 573071@bugs.debian.org
Cc: ben@decadent.org.uk
Subject: Oops: 0003 [#1] SMP - "BUG: unable to handle kernel paging request"
Date: Tue, 23 Mar 2010 11:14:44 +0100
Similar (buggy) behaviour in stable 686-kernel package:
linux-image-2.6.26-2-686-bigmem (2.6.26-21lenny4)

Tested on Debian 5.0.4, 32 bits, on AMD64.

Any idea on how long could it take a new kernel .deb to be released?

Cheers,
-r




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Mon, 29 Mar 2010 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to michael-dev@fami-braun.de:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 29 Mar 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #29 received at 573071@bugs.debian.org (full text, mbox):

From: michael-dev@fami-braun.de
To: 573071@bugs.debian.org
Subject: also affects debian stable (2.6.26-21lenny4 amd64)
Date: Mon, 29 Mar 2010 22:46:06 +0200
Hi,

I currently hit a bug with identical output on debian stable.
This has not been present on 30 Dec 09. It currently
prevents me from booting any debian stable or ubuntu karmic guest
on my debian lenny host machine which is AMD64 (AMD Athlon 5050e)

Regards,
 M. Braun

--

Package: linux-image-2.6.26-2-amd64
Priority: optional
Section: admin
Installed-Size: 78188
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Architecture: amd64
Source: linux-2.6
Version: 2.6.26-21lenny4
Provides: linux-image, linux-image-2.6, linux-modules-2.6.26-2-amd64
Depends: module-init-tools, initramfs-tools (>= 0.55) | yaird (>=
0.0.13) | linux-initramfs-tool
Pre-Depends: debconf | debconf-2.0
Suggests: linux-doc-2.6.26, grub | lilo
Conflicts: initramfs-tools (<< 0.55), yaird (<< 0.0.13)
Filename:
pool/updates/main/l/linux-2.6/linux-image-2.6.26-2-amd64_2.6.26-21lenny4_amd64.deb
Size: 20892804
MD5sum: aae50a9d96aca0bf8d0490368a4d6c77
SHA1: a60bfe7c23e26c42c63acd9e31ebfd1adc424f6c
SHA256: 83da59b678178d8ef46e158c39b7141dd6a9b26d6b3c6e6ff27da56d6abcc67a
Description: Linux 2.6.26 image on AMD64
 This package provides the binary image and pre-built loadable modules for
 Linux kernel 2.6.26 on all 64bit single- and multiprocessor AMD and Intel
 machines.




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Fri, 23 Apr 2010 00:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Fri, 23 Apr 2010 00:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Burge <kevin.burge@systemware.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Apr 2010 00:33:07 GMT) Full text and rfc822 format available.

Message #36 received at 573071@bugs.debian.org (full text, mbox):

From: Kevin Burge <kevin.burge@systemware.com>
To: <573071@bugs.debian.org>
Subject: Any idea when the fix is going to available?
Date: Thu, 22 Apr 2010 19:18:59 -0500
It's been almost two months now since I've been able to boot my Linux 
vms.  I'm really surprised by this - usually with Debian problems are 
fixed within a couple hours to at most a few days.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Fri, 23 Apr 2010 01:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Apr 2010 01:39:03 GMT) Full text and rfc822 format available.

Message #41 received at 573071@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Kevin Burge <kevin.burge@systemware.com>, 573071@bugs.debian.org
Subject: Re: Bug#573071: Any idea when the fix is going to available?
Date: Fri, 23 Apr 2010 02:35:16 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-04-22 at 19:18 -0500, Kevin Burge wrote:
> It's been almost two months now since I've been able to boot my Linux 
> vms.  I'm really surprised by this - usually with Debian problems are 
> fixed within a couple hours to at most a few days.

Sorry about this.  We now have a candidate fix for this, which should be
released soon.  Perhaps you would like to test it?  Instructions for
rebuilding an official kernel package with extra patches are at
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Ben.

Date: Fri, 19 Mar 2010 15:47:39 +0100
Subject: KVM: x86: disable paravirt mmu reporting
From: Marcelo Tosatti <mtosatti@redhat.com>

commit a68a6a7282373bedba8a2ed751b6384edb983a64 upstream

Disable paravirt MMU capability reporting, so that new (or rebooted)
guests switch to native operation.

Paravirt MMU is a burden to maintain and does not bring significant
advantages compared to shadow anymore.

Signed-off-by: Marcelo Tosatti <mtosatti@redhat.com>
Signed-off-by: Avi Kivity <avi@redhat.com>
Signed-off-by: Stefan Bader <stefan.bader@canonical.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>
[bwh: Adjust context for 2.6.26]
---
 arch/x86/kvm/x86.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

--- a/arch/x86/kvm/x86.c
+++ b/arch/x86/kvm/x86.c
@@ -1242,8 +1242,8 @@ int kvm_dev_ioctl_check_extension(long e
 	case KVM_CAP_NR_MEMSLOTS:
 		r = KVM_MEMORY_SLOTS;
 		break;
-	case KVM_CAP_PV_MMU:
-		r = !tdp_enabled;
+	case KVM_CAP_PV_MMU:	/* obsolete */
+		r = 0;
 		break;
 	default:
 		r = 0;
--- END ---

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Fri, 23 Apr 2010 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Burge <kevin.burge@systemware.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Apr 2010 10:36:03 GMT) Full text and rfc822 format available.

Message #46 received at 573071@bugs.debian.org (full text, mbox):

From: Kevin Burge <kevin.burge@systemware.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: "573071@bugs.debian.org" <573071@bugs.debian.org>
Subject: Re: Bug#573071: Any idea when the fix is going to available?
Date: Fri, 23 Apr 2010 05:32:48 -0500
Applying this patch and building the kernel fixed the problem for me.  
Thank you!

On 04/22/2010 08:35 PM, Ben Hutchings wrote:
> On Thu, 2010-04-22 at 19:18 -0500, Kevin Burge wrote:
>    
>> It's been almost two months now since I've been able to boot my Linux
>> vms.  I'm really surprised by this - usually with Debian problems are
>> fixed within a couple hours to at most a few days.
>>      
> Sorry about this.  We now have a candidate fix for this, which should be
> released soon.  Perhaps you would like to test it?  Instructions for
> rebuilding an official kernel package with extra patches are at
> <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.
>
> Ben.
>
> Date: Fri, 19 Mar 2010 15:47:39 +0100
> Subject: KVM: x86: disable paravirt mmu reporting
> From: Marcelo Tosatti<mtosatti@redhat.com>
>
> commit a68a6a7282373bedba8a2ed751b6384edb983a64 upstream
>
> Disable paravirt MMU capability reporting, so that new (or rebooted)
> guests switch to native operation.
>
> Paravirt MMU is a burden to maintain and does not bring significant
> advantages compared to shadow anymore.
>
> Signed-off-by: Marcelo Tosatti<mtosatti@redhat.com>
> Signed-off-by: Avi Kivity<avi@redhat.com>
> Signed-off-by: Stefan Bader<stefan.bader@canonical.com>
> Signed-off-by: Greg Kroah-Hartman<gregkh@suse.de>
> [bwh: Adjust context for 2.6.26]
> ---
>   arch/x86/kvm/x86.c |    4 ++--
>   1 file changed, 2 insertions(+), 2 deletions(-)
>
> --- a/arch/x86/kvm/x86.c
> +++ b/arch/x86/kvm/x86.c
> @@ -1242,8 +1242,8 @@ int kvm_dev_ioctl_check_extension(long e
>   	case KVM_CAP_NR_MEMSLOTS:
>   		r = KVM_MEMORY_SLOTS;
>   		break;
> -	case KVM_CAP_PV_MMU:
> -		r = !tdp_enabled;
> +	case KVM_CAP_PV_MMU:	/* obsolete */
> +		r = 0;
>   		break;
>   	default:
>   		r = 0;
> --- END ---
>
>    




Forcibly Merged 573071 579810. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 01 May 2010 02:39:06 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 03 May 2010 07:51:19 GMT) Full text and rfc822 format available.

Notification sent to Vadim Solomin <vadic052@gmail.com>:
Bug acknowledged by developer. (Mon, 03 May 2010 07:51:19 GMT) Full text and rfc822 format available.

Message #53 received at 573071-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 573071-close@bugs.debian.org
Subject: Bug#573071: fixed in linux-2.6 2.6.32-12
Date: Mon, 03 May 2010 07:49:00 +0000
Source: linux-2.6
Source-Version: 2.6.32-12

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-12_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-12_all.deb
linux-2.6_2.6.32-12.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-12.diff.gz
linux-2.6_2.6.32-12.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-12.dsc
linux-base_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-12_all.deb
linux-doc-2.6.32_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-12_all.deb
linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb
linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
linux-image-2.6.32-5-486_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-486_2.6.32-12_i386.deb
linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
linux-image-2.6.32-5-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686_2.6.32-12_i386.deb
linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
linux-libc-dev_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-12_i386.deb
linux-manual-2.6.32_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-12_all.deb
linux-patch-debian-2.6.32_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-12_all.deb
linux-source-2.6.32_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-12_all.deb
linux-support-2.6.32-5_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-12_all.deb
xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573071@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 01 May 2010 02:58:31 +0100
Source: linux-2.6
Binary: linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64 xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-openvz-686 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686
 xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-all-sparc64
Architecture: all i386 source
Version: 2.6.32-12
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 552299 563313 565790 572201 573071 574598 575681 576608 576758 576838 576925 576929 577047 577724 577735 578398 578568 579175 579410
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs
Changes: 
 linux-2.6 (2.6.32-12) unstable; urgency=low
 .
   * The "Microwave Background" release
 .
   [ Ben Hutchings ]
   * Prepare debconf templates for translation. (closes: #576758)
   * [x86] PCI/forcedeth: Disable MSI for MCP55 on P5N32-E SLI
     (Closes: #552299)
   * phylib: Fix typo in bcm63xx PHY driver table
   * linux-base: Fix bugs and improve libata transition code:
     - Fix scope of _system() function (Closes: #576925)
     - Fix case where a file may wrongly be listed as automatically converted
       (Closes: #577047)
     - Check device IDs in mdadm.conf rather than assuming it needs manual
       conversion
     - Use vol_id if available since the version of blkid in lenny does not
       support the output format we need (Closes: #576608)
     - Fix missing line breaks in updated crypttab (Closes: #577735)
   * i915: Stop trying to use ACPI lid status to determine LVDS connection
     (Closes: #577724)
   * forcedeth: Fix hardware version check for TX bug workaround
     (Closes: #572201)
   * rndis_host: Poll status channel before control channel (Closes: #576929)
   * megaraid_sas: Fix copying of sense data for 32-bit management tools on
     64-bit kernel (Closes: #578398)
   * Add ipheth driver for iPhone tethering
   * virtio_net: Make delayed refill more reliable (Closes: #576838)
 .
   [ maximilian attems]
   * [ia64] Built in fbcon.
   * Update openvz patch to c05f95fcb04e. (closes: #574598)
   * Reenable nouveau autoloading.
   * reiserfs: Fix permissions on .reiserfs_priv. CVE-2010-1146
   * libata,ata_piix: detect and clear spurious IRQs.
   * libata/SCSI: fix locking around blk_abort_request().
   * topconfig enable NET_DROP_MONITOR. (closes: #578568)
   * Add stable 2.6.32.12:
     - ACPI: EC: Allow multibyte access to EC; fixes temperature monitoring
       on some Dell laptops (Closes: #563313)
     - [x86] KVM: disable paravirt mmu reporting (Closes: #573071)
     - thinkpad-acpi: lock down video output state access (Closes: #565790)
     - xfs update (closes: #579410)
   * Add drm changes from stable 2.6.33.3:
     - drm/radeon: R300 AD only has one quad pipe (Closes: #575681)
   * libata: Fix accesses at LBA28 boundary (old bug, but nasty) (v2)
   * Add EC path for Thinkpad X100.
   * Bump ABI to 5, apply:
     - hrtimer: Tune hrtimer_interrupt hang logic
   * Add libata TRIM support.
   * Backport radeon r800 modesetting support.
   * drm/radeon/kms: further spread spectrum fixes.
   * Backport p54 fixes.
   * net: export device speed and duplex via sysfs.
   * postrm: rm modules.softdep. (closes: #579175)
   * Backport KVM: Xen PV-on-HVM guest support.
   * Backport KVM: x86: Add KVM_GET/SET_VCPU_EVENTS.
   * hugetlb: fix infinite loop in get_futex_key() when backed by huge pages
   * ext4: Issue the discard operation *before* releasing the blocks to be
     reused.
   * libiscsi: regression: fix header digest errors.
   * Revert module.c and module.h changes from -stable update.
 .
   [ dann frazier ]
   * Add DRBD backport
   * sctp: Fix skb_over_panic resulting from multiple invalid parameter
     errors (CVE-2010-1173)
   * [CIFS] Allow null nd (as nfs server uses) on create (CVE-2010-1148)
   * tipc: Fix oops on send prior to entering networked mode (CVE-2010-1187)
   * [powerpc] KGDB: don't needlessly skip PAGE_USER test for Fsl booke
     Note: KGDB is not currently enabled in debian builds (CVE-2010-1446)
 .
   [ Aurelien Jarno ]
   * [sh4] Add a sh7751r flavour.
   * [mips/*malta] Remove options that are present in topconfig.
 .
   [ Martin Michlmayr ]
   * dns323-setup.c: fix WARN() when booting (Arnaud Patard).
   * mips: enable PATA platform on SWARM and LITTLESUR (Sebastian Andrzej
     Siewior).
   * [mips/sb1-bcm91250a] Enable PATA_PLATFORM.
 .
   [ Bastian Blank ]
   * Update Xen patch.
Checksums-Sha1: 
 e25497d5f9fbe8299b86af52643c344a300ae153 6609 linux-2.6_2.6.32-12.dsc
 e3d93ccfd2e09eb215397df6488228b7be60f812 3296040 linux-2.6_2.6.32-12.diff.gz
 b3d10e19d28780fd40a1fa4650043d551369344d 142518 linux-support-2.6.32-5_2.6.32-12_all.deb
 67299f4f8b060a7b968dc56b315032d36332ed67 2717684 linux-patch-debian-2.6.32_2.6.32-12_all.deb
 57af7b2c635bf4d46d72d472b2db560ac70772bc 138482 linux-base_2.6.32-12_all.deb
 642f8b06151a0287be9691393a2091a9c5f329d6 131390 firmware-linux-free_2.6.32-12_all.deb
 030b27ce979901eb0d1d5ae9b466251f1c3d62e6 64381580 linux-source-2.6.32_2.6.32-12_all.deb
 ffbe2a231491f00cb10b962e79012c325f307930 6036760 linux-doc-2.6.32_2.6.32-12_all.deb
 e37ff9a9522230688d7f54a3f5b64a500ffeccf4 2705140 linux-manual-2.6.32_2.6.32-12_all.deb
 abdb38e48a9541c5b1271c0082e8521ff32a39ab 473568 linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
 33661570a6b3a2d89ee53c758c1a0b44f0e6f598 26964848 linux-image-2.6.32-5-486_2.6.32-12_i386.deb
 37b0d417649710aa051e8cf5e4951780dcc7ef61 474742 linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
 db19247015bcbeb50a0eb603af8fcebfacc3c817 27101906 linux-image-2.6.32-5-686_2.6.32-12_i386.deb
 bf3427e96bba6cd24157a534b97b2d420f6399cd 476450 linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 6feffe02fe1dbc05572d7dfa5033f4c5bcd1843c 27230528 linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 8ea69f8133295acd673a147ba615b1c027bfd503 468936 linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
 bb9e8bf9a308113c7b10eb94dff789a53dbe09b3 28191264 linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
 82f30d1403f3a1eee300e8722e8b210f4f9e9c4e 3868106 linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
 c78b598a62de46726ad21fc5312814b31d66c5eb 480784 linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 4db615aad1d747441f6271c3169e89f9b5554d81 27386558 linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 fe8192eca48ba9353d031936af0d81e24513adbe 3918734 linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
 61365777f65ca72a955ce9b1a1d3597a4bf61667 126484 linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
 f48e821855f1617987a678cb361a703f127e4d8a 126546 linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
 1b1cf22f2d0fc59723b1900e18c4f31f039ced7b 825400 linux-libc-dev_2.6.32-12_i386.deb
 ff826f1600766fe10d35cebc4ebd22c09fea00f6 475182 linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 91651df2ec42ad45901bb089569fc293b0b22bfa 27157134 linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 2caec044de2ac12b014facf8fc5a4ac3237a782d 476428 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 7df753b30dc5f43e2deeed4b8c37cb504fa0cf3f 27286894 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 58860e75aef9b098c6ccf662bdc1a68668cf9624 3901032 linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
 9e6049f5133fd732d92fec3386cd21f1c5cac676 479894 linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
 9e409668309532ce38945bc177fe19b44c97fbb5 27313660 linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
 9e5fac8630b2065fa4946e756172d9eea6be0de8 126478 xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb
 ad8ac18eff469a138becf78015f6fbd8f2bba6ea 3881290 linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb
Checksums-Sha256: 
 5dfd18ca77994772498f745973b772d1d7b2aa40313aa302eac8fcb12ed878cc 6609 linux-2.6_2.6.32-12.dsc
 cd43f042797bbc26289deea7445c9df70d653920f96aad9cfcf9d3e3e276e128 3296040 linux-2.6_2.6.32-12.diff.gz
 adbe56a9d9c0705481a9bc4075a87c25c21a793cdd6cfbf13801ed999a7348fb 142518 linux-support-2.6.32-5_2.6.32-12_all.deb
 a6455a29d46838a6ee6f0acf50d52987913aa89893f71aa826c6fa5c392e1597 2717684 linux-patch-debian-2.6.32_2.6.32-12_all.deb
 04e6bb5cc8038b70decaebbd073b17f225b2c243e426bcece3d6461c2fee52d2 138482 linux-base_2.6.32-12_all.deb
 6534e1766b0e7dc3e4042d2dc158fc0d0b5b053023b70bece915c4e753c5f110 131390 firmware-linux-free_2.6.32-12_all.deb
 7fcdfa9debee48b7b5bef7cabc4ecf6fe2663f2c4dcafa2bfae9f5c2ebd0da24 64381580 linux-source-2.6.32_2.6.32-12_all.deb
 d5856a0d7d22d3aeb170e218e0447293f2ff8389797bd68c6af4ceb5679f5bec 6036760 linux-doc-2.6.32_2.6.32-12_all.deb
 0680f4d266fea29e7dcf2610419c370a71f228bc423ac76f28b9339229faf4c9 2705140 linux-manual-2.6.32_2.6.32-12_all.deb
 f59fe9c57142b65ad1884fd0c2368168c3826f14964f7ea00988609319342c79 473568 linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
 e871d4be9a07efb080c98c68ab8d80bdf4f33f4823cf628dfb62314682f68d50 26964848 linux-image-2.6.32-5-486_2.6.32-12_i386.deb
 31a2eb2e08192f9a68a4762edffdcd0f3e88822899393ba5660ba150b4fec987 474742 linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
 baee747dfcac221bb852ff8bf9d19cec643e8bbef73db69d2cdf47bd57734ea3 27101906 linux-image-2.6.32-5-686_2.6.32-12_i386.deb
 9756945d16f73948ee9e5a0be09842c7a28e1470c6111434d60d9f0f70f07ddd 476450 linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 92ebc907ee0f30edb73bab025a252d49340347324b6e9ffda5026042b9a12d6c 27230528 linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 320e2aa4b6694cd81bd40572ed81c44db696b37edf48c556ac6880f8fc069f8d 468936 linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
 8f06cbcf29e59cb12157c803c28cc86514cd38808ba61d26d720367b937b2f88 28191264 linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
 79bbeaf2a9d40a5105459aab64a0bef3f78869abed71e9c6874646f3b0ee7810 3868106 linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
 374abc0e9bc3ad3bce51cdd5e6a88e6638368412db73fc12ef51aeff459a8657 480784 linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 1e19507b90f2c48f94e47b954a104b908c17d8db16c80f97adcb850706ec6a4f 27386558 linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 29b2ed34e8faf14cd4f8251f17c44645ee9d878f8810432cc4eb69212dd5dfb5 3918734 linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
 2890b40f3fcc4e058fde7681ed7baebb34a9b1317314e772cc55a69ffe2e15e0 126484 linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
 2c925d67581ad8798b2b1c709f36b4a15829b4b6394313ae96a1dbb67d956ac4 126546 linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
 045c5e451e6bbe139ad447faaa36b01cd60747c00a5a9a7aabe514c70a82c558 825400 linux-libc-dev_2.6.32-12_i386.deb
 00e52100b242f0a02e304c01504f2951a091fb072e76dcfef08fd6ad0fbf6cba 475182 linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 7bbadcf3c188111d834837f6c095adb14585e3ace16fb74c8b1c3552a1cc5cf8 27157134 linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 8eef56d0e5382f3242f3864345a71d82802ddffdab4e9e4089e6c0ef6f1feb81 476428 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 d4dc59eadd5368190bbaa2e25f3ae3c3d074a212a00897dc1eaad9d6784cbe54 27286894 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 d5f2dc52c3c14b79b0f609ee5a278b16539dd6e6fea1ad77daccc6a388e68eba 3901032 linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
 0232bf8336025c74060406ab287eb20bda6c43caf7017b7bb0010876c66b9186 479894 linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
 4aaeaa86d688161e59ed50dbaae9ade103a27f333d4cac069445f15c89d02b8b 27313660 linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
 4904a2d2fc6672ab4084a35248a1bfec4a456911020eae5592e197305334bd71 126478 xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb
 11e9d762c44f0ee6b2de5cdfa35f00b4e41fe94ee6df102c6fc129749726a849 3881290 linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb
Files: 
 d77784c7b48db669c91073d55ed55d78 6609 kernel optional linux-2.6_2.6.32-12.dsc
 8fb52a271ff7eac7388f150d36e6bfd7 3296040 kernel optional linux-2.6_2.6.32-12.diff.gz
 2ce71c8379f00062c2978628ec43df42 142518 devel optional linux-support-2.6.32-5_2.6.32-12_all.deb
 e6b6502e9c4de0766808f6f2c587212f 2717684 kernel optional linux-patch-debian-2.6.32_2.6.32-12_all.deb
 f43c2285f49262bac7d2698c9b4d30cd 138482 kernel optional linux-base_2.6.32-12_all.deb
 25e5d886fe6ccaa4d98bf9014b74e02c 131390 kernel optional firmware-linux-free_2.6.32-12_all.deb
 e2427fe4f20e2a403a357c8dfe9d6fa1 64381580 kernel optional linux-source-2.6.32_2.6.32-12_all.deb
 35f3bfc35419ae3b13d38ac5d1db498c 6036760 doc optional linux-doc-2.6.32_2.6.32-12_all.deb
 b74a6d887320301db2ff484a283f9306 2705140 doc optional linux-manual-2.6.32_2.6.32-12_all.deb
 fe2deda5f0005e209ebdb6521de6af18 473568 kernel optional linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
 65fcc2afe394777271290577b6fc3aee 26964848 kernel optional linux-image-2.6.32-5-486_2.6.32-12_i386.deb
 f4155d5272ea776d4a83f39bf045ee26 474742 kernel optional linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
 e2ed24d7e3f167860630c11a59e95234 27101906 kernel optional linux-image-2.6.32-5-686_2.6.32-12_i386.deb
 cb906731f20b1862c226add212bdccd9 476450 kernel optional linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 27135f3d7d1abc1b6802945d74b650c3 27230528 kernel optional linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 76dab2c0bae48b11c4fd41d1d71a7130 468936 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
 ca6d44b717210a2bb496358b8addea72 28191264 kernel optional linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
 87dcc87471570d9063b443ccf32fd24c 3868106 kernel optional linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
 a560275b5e2e3cc0e7fe1a5b621494c8 480784 kernel optional linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 55ec297af9e1dbb74b51d3b289159b10 27386558 kernel optional linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 54bc419b9a2d8f0477b830ad67e6c766 3918734 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
 eac9bbf671ffff1b8ca759dda801ca38 126484 kernel optional linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
 b1ff600674efa6b13ad1cca2c7c21f84 126546 kernel optional linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
 1fcfd3dcb77efa020818c591a1520d90 825400 devel optional linux-libc-dev_2.6.32-12_i386.deb
 bb8e9607e47deb162c32539835d8cb8e 475182 kernel optional linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 b77f652310ce2245601f438633314bcc 27157134 kernel optional linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 453eeaaed30a35ccb170f8f9e5a2c746 476428 kernel optional linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 d89e38bba114f5b8c4063503f65a007a 27286894 kernel optional linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 d904eb04c6e95278ae22330357d2858a 3901032 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
 db95cc788d9598c3d49aef5fe58591db 479894 kernel optional linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
 fa34a8d1266067f7e7ae5539edc9cdad 27313660 kernel optional linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
 72e50c20063ca7e791fe3ca6fff3503f 126478 kernel optional xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb
 a82005c31c67bd2fb8ad5ef4a498abe2 3881290 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBS9xy8ue/yOyVhhEJAQoovA/9E5y3jUpnt9b+zauMUCKGHZ8jaRehmfvz
k8JDZQsrN245erOuMXSvAG3lMWhVZVpKskeCswGD8bluXj6283PVl+iyOCG/rkUy
SaFn1dU1emsJcPoy1u8EvMTWMKLruhIGfR9p+XRfd01n1IiqA29dF42gEoiXj1PA
RVIBUekW/kNwjWhsZB1p3EE9E5kv/+FXZlQqPd9BjMLMkM8j06lhoKabCW0a6wbK
DWhbsW1Oqiul3RLhhtWNS/Rfs9gnyd3FAVzLDdQ9E+zPRVfljxqBSSbpjFChnBo+
BUEGuF0cBpiCuxLSFCMMPokPRT/XPENiT+jj7yuVxpIcDDAJWZxDugTy4+Xx81Ry
4g3HsFupE2DxmBCFoYqV/m3BXbEk7I6YO1EjuLwPPvsNJI07YOz35jE1JLVepDdY
Kx/7kLlZ9rdmXeKW66+vj1bkV47NzLwAdMUjWIWg1kxK8p1PlzKsBL4R34sziz6Y
xDkKwnV6iZbhWDvRI3iaz9ilbQoCrrvBXhGI+ByT4TrLJhNmBoOUHydEpJVP//PT
69aKDBoAxEvE1quDK+cK/YjJwh8l5sevV1nHWht7cp+SuqMYDs57sWdZvz7VpPt+
tvInRm5ha6Q1zLvO7G8a28gRFu79NFzlWSzdkoaqHrwiMosjrIhejjncA27JYx5H
3jNhTNzonL0=
=nwdh
-----END PGP SIGNATURE-----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 03 May 2010 07:51:19 GMT) Full text and rfc822 format available.

Notification sent to Bruno Miguel <brunoalexandremiguel@gmail.com>:
Bug acknowledged by developer. (Mon, 03 May 2010 07:51:20 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 04 May 2010 03:00:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Thu, 06 May 2010 08:24:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to w.opr@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 May 2010 08:24:44 GMT) Full text and rfc822 format available.

Message #65 received at 573071@bugs.debian.org (full text, mbox):

From: Werner Opriel <w.opr@gmx.de>
To: 573071@bugs.debian.org
Subject: Re: Bug#57307: Fixed Kernel 2.6.26 for Lenny
Date: Thu, 6 May 2010 09:59:19 +0200
On Thu, 2010-04-23 at 02:35:16 +0100, Ben Hutchings wrote:
> Sorry about this.  We now have a candidate fix for this, which should be
> released soon.  

Please, can you tell us, when a Kernel e.g. "2.6.26-22lenny4" with the 
patch/fix included is going to be available?







Information stored :
Bug#573071; Package linux-2.6. (Tue, 11 May 2010 01:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 11 May 2010 01:03:05 GMT) Full text and rfc822 format available.

Message #70 received at 573071-quiet@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: w.opr@gmx.de, 573071-quiet@bugs.debian.org, 573071-submitter@bugs.debian.org
Subject: Re: Bug#573071: Bug#57307: Fixed Kernel 2.6.26 for Lenny
Date: Mon, 10 May 2010 19:02:05 -0600
On Thu, May 06, 2010 at 09:59:19AM +0200, Werner Opriel wrote:
> On Thu, 2010-04-23 at 02:35:16 +0100, Ben Hutchings wrote:
> > Sorry about this.  We now have a candidate fix for this, which should be
> > released soon.  
> 
> Please, can you tell us, when a Kernel e.g. "2.6.26-22lenny4" with the 
> patch/fix included is going to be available?

I haven't been able to reproduce this issue on my systems, for
whatever reason. Would you be able to verify that this build fixes it
for you?
  http://people.debian.org/~dannf/bugs/573071/

-- 
dann frazier





Message sent on to Vadim Solomin <vadic052@gmail.com>:
Bug#573071. (Tue, 11 May 2010 01:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Tue, 11 May 2010 07:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to w.opr@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 May 2010 07:54:04 GMT) Full text and rfc822 format available.

Message #78 received at 573071@bugs.debian.org (full text, mbox):

From: Werner Opriel <w.opr@gmx.de>
To: 573071@bugs.debian.org
Subject: Re: Bug#573071
Date: Tue, 11 May 2010 09:52:34 +0200
> I haven't been able to reproduce this issue on my systems, for
> whatever reason. Would you be able to verify that this build fixes it
> for you?
>  http://people.debian.org/~dannf/bugs/573071/
>
> -- 
> dann frazier

Sorry, i didn't mentioned that i'm using linux-image-2.6.26-2-686-bigmem 
(2.6.26-21lenny4) on Debian 5.0.4, 32 bits on a AMD64 Board.
The behaviour is nearly the same as described with the 64bit kernel. 
I would like to verify this build as soon as it is available for me.
Thanks a lot.








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Tue, 11 May 2010 21:45:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 May 2010 21:45:16 GMT) Full text and rfc822 format available.

Message #83 received at 573071@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: w.opr@gmx.de, 573071@bugs.debian.org
Subject: Re: Bug#573071:
Date: Tue, 11 May 2010 15:44:45 -0600
On Tue, May 11, 2010 at 09:52:34AM +0200, Werner Opriel wrote:
> > I haven't been able to reproduce this issue on my systems, for
> > whatever reason. Would you be able to verify that this build fixes it
> > for you?
> >  http://people.debian.org/~dannf/bugs/573071/
> >
> 
> Sorry, i didn't mentioned that i'm using linux-image-2.6.26-2-686-bigmem 
> (2.6.26-21lenny4) on Debian 5.0.4, 32 bits on a AMD64 Board.
> The behaviour is nearly the same as described with the 64bit kernel. 
> I would like to verify this build as soon as it is available for me.
> Thanks a lot.

i386 builds are available in the same location now.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Wed, 12 May 2010 17:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to W.Opr@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 May 2010 17:06:07 GMT) Full text and rfc822 format available.

Message #88 received at 573071@bugs.debian.org (full text, mbox):

From: Werner Opriel <W.Opr@gmx.de>
To: dann frazier <dannf@debian.org>, 573071@bugs.debian.org
Subject: Re: Bug#573071:
Date: Wed, 12 May 2010 19:03:25 +0200
Am Dienstag, 11. Mai 2010 schrieb dann frazier:
> On Tue, May 11, 2010 at 09:52:34AM +0200, Werner Opriel wrote:
> > > I haven't been able to reproduce this issue on my systems, for
> > > whatever reason. Would you be able to verify that this build fixes it
> > > for you?
> > >  http://people.debian.org/~dannf/bugs/573071/
> >
> > Sorry, i didn't mentioned that i'm using linux-image-2.6.26-2-686-bigmem
> > (2.6.26-21lenny4) on Debian 5.0.4, 32 bits on a AMD64 Board.
> > The behaviour is nearly the same as described with the 64bit kernel.
> > I would like to verify this build as soon as it is available for me.
> > Thanks a lot.
>
> i386 builds are available in the same location now.

Installing the linux-image-2.6.26-2-686-bigmem_2.6.26-22lenny1_i386.deb 
fixed the problem for me.
Your fixed kernel let me boot my guests, Debian squeeze (kernel 2.6.30 / 
2.6.32) , as well as xubuntu (2.6.31),  with no problems.
Thank you!







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573071; Package linux-2.6. (Wed, 12 May 2010 17:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 May 2010 17:30:05 GMT) Full text and rfc822 format available.

Message #93 received at 573071@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: W.Opr@gmx.de, 573071@bugs.debian.org
Subject: Re: Bug#573071:
Date: Wed, 12 May 2010 11:27:29 -0600
On Wed, May 12, 2010 at 07:03:25PM +0200, Werner Opriel wrote:
> Am Dienstag, 11. Mai 2010 schrieb dann frazier:
> > On Tue, May 11, 2010 at 09:52:34AM +0200, Werner Opriel wrote:
> > > > I haven't been able to reproduce this issue on my systems, for
> > > > whatever reason. Would you be able to verify that this build fixes it
> > > > for you?
> > > >  http://people.debian.org/~dannf/bugs/573071/
> > >
> > > Sorry, i didn't mentioned that i'm using linux-image-2.6.26-2-686-bigmem
> > > (2.6.26-21lenny4) on Debian 5.0.4, 32 bits on a AMD64 Board.
> > > The behaviour is nearly the same as described with the 64bit kernel.
> > > I would like to verify this build as soon as it is available for me.
> > > Thanks a lot.
> >
> > i386 builds are available in the same location now.
> 
> Installing the linux-image-2.6.26-2-686-bigmem_2.6.26-22lenny1_i386.deb 
> fixed the problem for me.
> Your fixed kernel let me boot my guests, Debian squeeze (kernel 2.6.30 / 
> 2.6.32) , as well as xubuntu (2.6.31),  with no problems.
> Thank you!

Great - thanks for testing.

-- 
dann frazier





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Wed, 26 May 2010 01:57:03 GMT) Full text and rfc822 format available.

Notification sent to Vadim Solomin <vadic052@gmail.com>:
Bug acknowledged by developer. (Wed, 26 May 2010 01:57:03 GMT) Full text and rfc822 format available.

Message #98 received at 573071-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 573071-close@bugs.debian.org
Subject: Bug#573071: fixed in linux-2.6 2.6.26-22lenny1
Date: Wed, 26 May 2010 01:53:23 +0000
Source: linux-2.6
Source-Version: 2.6.26-22lenny1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-22lenny1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.26-22lenny1.diff.gz
linux-2.6_2.6.26-22lenny1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.26-22lenny1.dsc
linux-doc-2.6.26_2.6.26-22lenny1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.26_2.6.26-22lenny1_all.deb
linux-headers-2.6.26-2-all-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all-amd64_2.6.26-22lenny1_amd64.deb
linux-headers-2.6.26-2-all_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all_2.6.26-22lenny1_amd64.deb
linux-headers-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
linux-headers-2.6.26-2-common-openvz_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-openvz_2.6.26-22lenny1_amd64.deb
linux-headers-2.6.26-2-common-vserver_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-vserver_2.6.26-22lenny1_amd64.deb
linux-headers-2.6.26-2-common-xen_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-xen_2.6.26-22lenny1_amd64.deb
linux-headers-2.6.26-2-common_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common_2.6.26-22lenny1_amd64.deb
linux-headers-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
linux-headers-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
linux-headers-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
linux-image-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
linux-image-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
linux-image-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
linux-image-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
linux-libc-dev_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.26-22lenny1_amd64.deb
linux-manual-2.6.26_2.6.26-22lenny1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.26_2.6.26-22lenny1_all.deb
linux-modules-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/linux-modules-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
linux-patch-debian-2.6.26_2.6.26-22lenny1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-22lenny1_all.deb
linux-source-2.6.26_2.6.26-22lenny1_all.deb
  to main/l/linux-2.6/linux-source-2.6.26_2.6.26-22lenny1_all.deb
linux-support-2.6.26-2_2.6.26-22lenny1_all.deb
  to main/l/linux-2.6/linux-support-2.6.26-2_2.6.26-22lenny1_all.deb
linux-tree-2.6.26_2.6.26-22lenny1_all.deb
  to main/l/linux-2.6/linux-tree-2.6.26_2.6.26-22lenny1_all.deb
xen-linux-system-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
  to main/l/linux-2.6/xen-linux-system-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573071@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 09 May 2010 23:22:44 -0600
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-2 linux-libc-dev linux-headers-2.6.26-2-all linux-headers-2.6.26-2-all-alpha linux-headers-2.6.26-2-common linux-image-2.6.26-2-alpha-generic linux-headers-2.6.26-2-alpha-generic linux-image-2.6.26-2-alpha-smp linux-headers-2.6.26-2-alpha-smp linux-image-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-all-amd64 linux-image-2.6.26-2-amd64 linux-headers-2.6.26-2-amd64 linux-headers-2.6.26-2-common-openvz linux-image-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-common-vserver linux-image-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-common-xen linux-image-2.6.26-2-xen-amd64 linux-modules-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-xen-amd64 xen-linux-system-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-all-arm linux-image-2.6.26-2-footbridge linux-headers-2.6.26-2-footbridge linux-image-2.6.26-2-iop32x linux-headers-2.6.26-2-iop32x linux-image-2.6.26-2-ixp4xx linux-headers-2.6.26-2-ixp4xx linux-image-2.6.26-2-orion5x linux-headers-2.6.26-2-orion5x linux-headers-2.6.26-2-all-armel linux-image-2.6.26-2-versatile linux-headers-2.6.26-2-versatile linux-headers-2.6.26-2-all-hppa linux-image-2.6.26-2-parisc linux-headers-2.6.26-2-parisc linux-image-2.6.26-2-parisc-smp linux-headers-2.6.26-2-parisc-smp linux-image-2.6.26-2-parisc64 linux-headers-2.6.26-2-parisc64 linux-image-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-all-i386 linux-image-2.6.26-2-486 linux-headers-2.6.26-2-486 linux-image-2.6.26-2-686 linux-headers-2.6.26-2-686 linux-image-2.6.26-2-686-bigmem linux-headers-2.6.26-2-686-bigmem linux-image-2.6.26-2-openvz-686 linux-headers-2.6.26-2-openvz-686 linux-image-2.6.26-2-vserver-686 linux-headers-2.6.26-2-vserver-686 linux-image-2.6.26-2-vserver-686-bigmem linux-headers-2.6.26-2-vserver-686-bigmem linux-image-2.6.26-2-xen-686 linux-modules-2.6.26-2-xen-686 linux-headers-2.6.26-2-xen-686 xen-linux-system-2.6.26-2-xen-686 linux-headers-2.6.26-2-all-ia64 linux-image-2.6.26-2-itanium linux-headers-2.6.26-2-itanium linux-image-2.6.26-2-mckinley linux-headers-2.6.26-2-mckinley linux-image-2.6.26-2-vserver-itanium linux-headers-2.6.26-2-vserver-itanium linux-image-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-all-m68k linux-image-2.6.26-2-amiga linux-headers-2.6.26-2-amiga linux-image-2.6.26-2-atari linux-headers-2.6.26-2-atari linux-image-2.6.26-2-bvme6000 linux-headers-2.6.26-2-bvme6000 linux-image-2.6.26-2-mac linux-headers-2.6.26-2-mac linux-image-2.6.26-2-mvme147 linux-headers-2.6.26-2-mvme147 linux-image-2.6.26-2-mvme16x linux-headers-2.6.26-2-mvme16x linux-headers-2.6.26-2-all-mips linux-image-2.6.26-2-r4k-ip22 linux-headers-2.6.26-2-r4k-ip22 linux-image-2.6.26-2-r5k-ip32 linux-headers-2.6.26-2-r5k-ip32 linux-image-2.6.26-2-sb1-bcm91250a linux-headers-2.6.26-2-sb1-bcm91250a linux-image-2.6.26-2-sb1a-bcm91480b linux-headers-2.6.26-2-sb1a-bcm91480b linux-image-2.6.26-2-4kc-malta linux-headers-2.6.26-2-4kc-malta linux-image-2.6.26-2-5kc-malta linux-headers-2.6.26-2-5kc-malta linux-headers-2.6.26-2-all-mipsel linux-image-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-all-powerpc linux-image-2.6.26-2-powerpc linux-headers-2.6.26-2-powerpc linux-image-2.6.26-2-powerpc-smp linux-headers-2.6.26-2-powerpc-smp linux-image-2.6.26-2-powerpc64 linux-headers-2.6.26-2-powerpc64 linux-image-2.6.26-2-vserver-powerpc linux-headers-2.6.26-2-vserver-powerpc linux-image-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-all-s390 linux-image-2.6.26-2-s390 linux-headers-2.6.26-2-s390 linux-image-2.6.26-2-s390-tape linux-image-2.6.26-2-s390x linux-headers-2.6.26-2-s390x linux-image-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-all-sparc linux-image-2.6.26-2-sparc64 linux-headers-2.6.26-2-sparc64 linux-image-2.6.26-2-sparc64-smp linux-headers-2.6.26-2-sparc64-smp linux-image-2.6.26-2-vserver-sparc64 linux-headers-2.6.26-2-vserver-sparc64
Architecture: source all amd64
Version: 2.6.26-22lenny1
Distribution: stable-security
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-2-486 - Header files for Linux 2.6.26-2-486
 linux-headers-2.6.26-2-4kc-malta - Header files for Linux 2.6.26-2-4kc-malta
 linux-headers-2.6.26-2-5kc-malta - Header files for Linux 2.6.26-2-5kc-malta
 linux-headers-2.6.26-2-686 - Header files for Linux 2.6.26-2-686
 linux-headers-2.6.26-2-686-bigmem - Header files for Linux 2.6.26-2-686-bigmem
 linux-headers-2.6.26-2-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-alpha-generic - Header files for Linux 2.6.26-2-alpha-generic
 linux-headers-2.6.26-2-alpha-legacy - Header files for Linux 2.6.26-2-alpha-legacy
 linux-headers-2.6.26-2-alpha-smp - Header files for Linux 2.6.26-2-alpha-smp
 linux-headers-2.6.26-2-amd64 - Header files for Linux 2.6.26-2-amd64
 linux-headers-2.6.26-2-amiga - Header files for Linux 2.6.26-2-amiga
 linux-headers-2.6.26-2-atari - Header files for Linux 2.6.26-2-atari
 linux-headers-2.6.26-2-bvme6000 - Header files for Linux 2.6.26-2-bvme6000
 linux-headers-2.6.26-2-common - Common header files for Linux 2.6.26-2
 linux-headers-2.6.26-2-common-openvz - Common header files for Linux 2.6.26-2-openvz
 linux-headers-2.6.26-2-common-vserver - Common header files for Linux 2.6.26-2-vserver
 linux-headers-2.6.26-2-common-xen - Common header files for Linux 2.6.26-2-xen
 linux-headers-2.6.26-2-footbridge - Header files for Linux 2.6.26-2-footbridge
 linux-headers-2.6.26-2-iop32x - Header files for Linux 2.6.26-2-iop32x
 linux-headers-2.6.26-2-itanium - Header files for Linux 2.6.26-2-itanium
 linux-headers-2.6.26-2-ixp4xx - Header files for Linux 2.6.26-2-ixp4xx
 linux-headers-2.6.26-2-mac - Header files for Linux 2.6.26-2-mac
 linux-headers-2.6.26-2-mckinley - Header files for Linux 2.6.26-2-mckinley
 linux-headers-2.6.26-2-mvme147 - Header files for Linux 2.6.26-2-mvme147
 linux-headers-2.6.26-2-mvme16x - Header files for Linux 2.6.26-2-mvme16x
 linux-headers-2.6.26-2-openvz-686 - Header files for Linux 2.6.26-2-openvz-686
 linux-headers-2.6.26-2-openvz-amd64 - Header files for Linux 2.6.26-2-openvz-amd64
 linux-headers-2.6.26-2-orion5x - Header files for Linux 2.6.26-2-orion5x
 linux-headers-2.6.26-2-parisc - Header files for Linux 2.6.26-2-parisc
 linux-headers-2.6.26-2-parisc-smp - Header files for Linux 2.6.26-2-parisc-smp
 linux-headers-2.6.26-2-parisc64 - Header files for Linux 2.6.26-2-parisc64
 linux-headers-2.6.26-2-parisc64-smp - Header files for Linux 2.6.26-2-parisc64-smp
 linux-headers-2.6.26-2-powerpc - Header files for Linux 2.6.26-2-powerpc
 linux-headers-2.6.26-2-powerpc-smp - Header files for Linux 2.6.26-2-powerpc-smp
 linux-headers-2.6.26-2-powerpc64 - Header files for Linux 2.6.26-2-powerpc64
 linux-headers-2.6.26-2-r4k-ip22 - Header files for Linux 2.6.26-2-r4k-ip22
 linux-headers-2.6.26-2-r5k-cobalt - Header files for Linux 2.6.26-2-r5k-cobalt
 linux-headers-2.6.26-2-r5k-ip32 - Header files for Linux 2.6.26-2-r5k-ip32
 linux-headers-2.6.26-2-s390 - Header files for Linux 2.6.26-2-s390
 linux-headers-2.6.26-2-s390x - Header files for Linux 2.6.26-2-s390x
 linux-headers-2.6.26-2-sb1-bcm91250a - Header files for Linux 2.6.26-2-sb1-bcm91250a
 linux-headers-2.6.26-2-sb1a-bcm91480b - Header files for Linux 2.6.26-2-sb1a-bcm91480b
 linux-headers-2.6.26-2-sparc64 - Header files for Linux 2.6.26-2-sparc64
 linux-headers-2.6.26-2-sparc64-smp - Header files for Linux 2.6.26-2-sparc64-smp
 linux-headers-2.6.26-2-versatile - Header files for Linux 2.6.26-2-versatile
 linux-headers-2.6.26-2-vserver-686 - Header files for Linux 2.6.26-2-vserver-686
 linux-headers-2.6.26-2-vserver-686-bigmem - Header files for Linux 2.6.26-2-vserver-686-bigmem
 linux-headers-2.6.26-2-vserver-amd64 - Header files for Linux 2.6.26-2-vserver-amd64
 linux-headers-2.6.26-2-vserver-itanium - Header files for Linux 2.6.26-2-vserver-itanium
 linux-headers-2.6.26-2-vserver-mckinley - Header files for Linux 2.6.26-2-vserver-mckinley
 linux-headers-2.6.26-2-vserver-powerpc - Header files for Linux 2.6.26-2-vserver-powerpc
 linux-headers-2.6.26-2-vserver-powerpc64 - Header files for Linux 2.6.26-2-vserver-powerpc64
 linux-headers-2.6.26-2-vserver-s390x - Header files for Linux 2.6.26-2-vserver-s390x
 linux-headers-2.6.26-2-vserver-sparc64 - Header files for Linux 2.6.26-2-vserver-sparc64
 linux-headers-2.6.26-2-xen-686 - Header files for Linux 2.6.26-2-xen-686
 linux-headers-2.6.26-2-xen-amd64 - Header files for Linux 2.6.26-2-xen-amd64
 linux-image-2.6.26-2-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-2-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-2-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-2-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-2-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-2-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-2-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-2-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-2-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-2-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-2-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-2-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-2-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-2-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-2-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-2-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-2-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-2-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-2-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-2-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-2-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-2-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-2-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-2-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-2-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-2-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-2-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-2-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-2-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-2-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-2-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-2-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-2-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-2-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-2-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-2-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-2-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-2-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-2-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-2-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-2-vserver-s390x - Linux 2.6.26 image on IBM zSeries, Linux-VServer support
 linux-image-2.6.26-2-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-2-xen-686 - Linux 2.6.26 image on i686, oldstyle Xen support
 linux-image-2.6.26-2-xen-amd64 - Linux 2.6.26 image on AMD64, oldstyle Xen support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-2-xen-686 - Linux 2.6.26 modules on i686
 linux-modules-2.6.26-2-xen-amd64 - Linux 2.6.26 modules on AMD64
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-2 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.26-2-xen-686 - XEN system with Linux 2.6.26 image on i686
 xen-linux-system-2.6.26-2-xen-amd64 - XEN system with Linux 2.6.26 image on AMD64
Closes: 573071
Changes: 
 linux-2.6 (2.6.26-22lenny1) stable-security; urgency=high
 .
   [ dann frazier ]
   * USB: usbfs: only copy the actual data received (CVE-2010-1083)
   * GFS2: Skip check for mandatory locks when unlocking (CVE-2010-0727)
   * Bluetooth: Fix potential bad memory access with sysfs files (CVE-2010-1084)
   * dvb-core: Fix DoS bug in ULE decapsulation code that can be triggered
     by an invalid Payload Pointer (CVE-2010-1086)
   * NFS: Fix an Oops when truncating a file (CVE-2010-1087)
   * fix LOOKUP_FOLLOW on automount "symlinks" (CVE-2010-1088)
   * tty: release_one_tty() forgets to put pids (CVE-2010-1162)
   * tipc: Fix oops on send prior to entering networked mode (CVE-2010-1187)
   * sctp: Fix skb_over_panic resulting from multiple invalid parameter
     errors (CVE-2010-1173)
   * sparc64: Fix sun4u execute bit check in TSB I-TLB load (CVE-2010-1451)
   * KEYS: find_keyring_by_name() can gain access to a freed keyring
     (CVE-2010-1437)
   * [powerpc] KGDB: don't needlessly skip PAGE_USER test for Fsl booke
     Note: KGDB is not currently enabled in debian builds (CVE-2010-1446)
 .
   [ Ben Hutchings ]
   * [x86] KVM: disable paravirt mmu reporting (Closes: #573071) (regressed
     due to fix for CVE-2010-0298; considered obsolete by upstream)
   * r8169: Increase default RX buffer size to avoid RX scattering bug
     (CVE-2009-4537)
Checksums-Sha1: 
 907e44acd56ed2625cedf46a44faea94b017d8bd 5778 linux-2.6_2.6.26-22lenny1.dsc
 69e30af408724422d88050976b82a5d4efdb31c5 7894925 linux-2.6_2.6.26-22lenny1.diff.gz
 a330337aec1f83b6f03c5718ac8be6734803b746 4627886 linux-doc-2.6.26_2.6.26-22lenny1_all.deb
 39fd5ffe7ccfb8c7145c9275dc30ca643fe13a2c 1764832 linux-manual-2.6.26_2.6.26-22lenny1_all.deb
 d2bba7e92c38f4d5728b937520783d0e161a694a 2871892 linux-patch-debian-2.6.26_2.6.26-22lenny1_all.deb
 9997e0b6f6b312ebfabb4d731762cf0f008f621c 48764508 linux-source-2.6.26_2.6.26-22lenny1_all.deb
 43d957ea3e84156ad599484e5160481446672d48 126228 linux-support-2.6.26-2_2.6.26-22lenny1_all.deb
 5bb240e1636096b81c435fdfd27cdb6a85552a0f 110906 linux-tree-2.6.26_2.6.26-22lenny1_all.deb
 135b02b320074f45afa8d720b445b95dcc3d1c4b 20931422 linux-image-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
 b1c69bd70089389afb8f1c2223ac5988b54f1e44 391290 linux-headers-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
 ae3843ead13710ccc6b516ae9420f0d556d67b40 3724662 linux-headers-2.6.26-2-common_2.6.26-22lenny1_amd64.deb
 8a10bc6f23b1e1fc68598316ebfc83de29aaefe4 21102730 linux-image-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
 bc21f6986b70f5bd3d6105c80eebd348c172f0f1 397220 linux-headers-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
 90c69908d5ea331d6cb0aece75fd2fa98d077b68 3780338 linux-headers-2.6.26-2-common-openvz_2.6.26-22lenny1_amd64.deb
 616b92976297bcb914d7294577ffdee237d9165a 110350 linux-headers-2.6.26-2-all_2.6.26-22lenny1_amd64.deb
 3523585cdde5d0143be4303886832cfe2c49f2f2 110374 linux-headers-2.6.26-2-all-amd64_2.6.26-22lenny1_amd64.deb
 862642ea4bde4298dba09618217f681d0c470ddd 753158 linux-libc-dev_2.6.26-22lenny1_amd64.deb
 95e672d0f6644ef1b1bfbd0a883c262803860794 20949852 linux-image-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
 b237693f56dd1f825312d16d39a8afacafe6073d 391970 linux-headers-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
 0f99dfecf7509425ac5dcd9e698402e082f6bffd 3757248 linux-headers-2.6.26-2-common-vserver_2.6.26-22lenny1_amd64.deb
 6ac68d42e82ad3f74fe83e41e3e4a2a9fb6689a8 1809098 linux-image-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 c956606b1169d4797a97fc010ae122996cf31daf 19315990 linux-modules-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 bb83969017961566ce2ac6259299d2b2efdd87f8 387348 linux-headers-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 3ecbfe6765143b86b9ba6fa4c226f66a6fa3d915 110338 xen-linux-system-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 cc83c20a03de29c1cf0fd20256698833c79ba22b 3856722 linux-headers-2.6.26-2-common-xen_2.6.26-22lenny1_amd64.deb
Checksums-Sha256: 
 35ed2ec8608fc31045fb4173eb778fb93fdc0d2da97b044feac6428ecde38519 5778 linux-2.6_2.6.26-22lenny1.dsc
 68f18466701990b440bce62d984da22b3774550891fe2b395adc0740545e9557 7894925 linux-2.6_2.6.26-22lenny1.diff.gz
 2b06f518a180607756190a1281d579bcccca247f7e9dea72ffac5acd953edfe3 4627886 linux-doc-2.6.26_2.6.26-22lenny1_all.deb
 2eceb6d0fb17cbafbcb6554ec3d3448504fb05e23d423d6a759934bfd31b478d 1764832 linux-manual-2.6.26_2.6.26-22lenny1_all.deb
 d2062896aaa308001c2d438cccf70a7f50ddc6db7c51af62b58615cc234bcd20 2871892 linux-patch-debian-2.6.26_2.6.26-22lenny1_all.deb
 b9c1f47ef8e207dead87f7a7bc018923e1398ce428ca5afb21b89e1b213db2f6 48764508 linux-source-2.6.26_2.6.26-22lenny1_all.deb
 da6b4711b4c247d6665f577473b6a7716241691476022983bd171896c2fa5a45 126228 linux-support-2.6.26-2_2.6.26-22lenny1_all.deb
 0bf9183e3bee83aa789240eb91b4e829dc6341a6302dca291ffa98223512494e 110906 linux-tree-2.6.26_2.6.26-22lenny1_all.deb
 18524c0f4cd9e4ac8d22f32312086a27ac4dbc7ea583be25a17a1a95cb5ce4d2 20931422 linux-image-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
 9f747a389425ab3f94755798d75e748069f8066f266a7710811b9bee044272da 391290 linux-headers-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
 44c493f27063268192c90ddeef2db45b7688b96e94213c03b12c4c909ad8d6cd 3724662 linux-headers-2.6.26-2-common_2.6.26-22lenny1_amd64.deb
 5aea16ee0c63c13618936190056643bb982cc18f8f20dc090740c8ff4b501e62 21102730 linux-image-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
 3c7b46afe9ebad1fbca5dc35872f144f6a98623b84d197511ff69c5353d01899 397220 linux-headers-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
 4a95338d915221b13ade7b96e7fe0fa80830adf851b6a745fd1107c6fa9a4c0e 3780338 linux-headers-2.6.26-2-common-openvz_2.6.26-22lenny1_amd64.deb
 539d27160a1ebe2d1371f5c6ce71a98920b0c928e36435508779ef9ccd24a94e 110350 linux-headers-2.6.26-2-all_2.6.26-22lenny1_amd64.deb
 bbfd5a8e9045d8cd7d10291f969da4d619115e8ee6693ad5165acd9d4e2816f3 110374 linux-headers-2.6.26-2-all-amd64_2.6.26-22lenny1_amd64.deb
 915961aa84ed00dcb8d233c8c7f0892d0ef9b5bb47e62a72ad736f238f7859c3 753158 linux-libc-dev_2.6.26-22lenny1_amd64.deb
 ec4b89b98519ec531db59d6ce8088e437301fa7548c7adae99cc176f39bc6d10 20949852 linux-image-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
 4652f587661a1f4a3073b362e9f28ae54d00883e81a73eca6ff41bb3d9e2dfb9 391970 linux-headers-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
 f9ff5471d71421e2d6076044f245b64d9d35bdafdbec16f04bd30cbccca67f8c 3757248 linux-headers-2.6.26-2-common-vserver_2.6.26-22lenny1_amd64.deb
 4460e1548310ec56b453372290e93c628ae561b1df74edc9e092c0ead03173b2 1809098 linux-image-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 8869a1cb21ecd0c74921fed128c44407356f1568aeef36207a98fb57931f0bf9 19315990 linux-modules-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 37cd570f06956aae8955cebf45564730ee8472887f84075fc5a06344b87fa3cc 387348 linux-headers-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 0f73344265b0b8791e77d9ef22fc01539202085312fc7afcfc913466e32dbda7 110338 xen-linux-system-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 78986f452eebb7fa0ba1e9f2e52aefe933618e3e358a35ab38930483daea69b7 3856722 linux-headers-2.6.26-2-common-xen_2.6.26-22lenny1_amd64.deb
Files: 
 713b8a3f2bc10816264a81c0a9eb7860 5778 devel optional linux-2.6_2.6.26-22lenny1.dsc
 86ecf2ca8808aea84b0af06317616a6c 7894925 devel optional linux-2.6_2.6.26-22lenny1.diff.gz
 fe792ad0bcf2c9f8ac4bb496e9885a20 4627886 doc optional linux-doc-2.6.26_2.6.26-22lenny1_all.deb
 b0d63ac0b12a0679867b8b53bf4c3a54 1764832 doc optional linux-manual-2.6.26_2.6.26-22lenny1_all.deb
 c5c0e0d8ea193812566f9481e6ca8440 2871892 devel optional linux-patch-debian-2.6.26_2.6.26-22lenny1_all.deb
 9a203c801fd068d282d1cbb11fbab68f 48764508 devel optional linux-source-2.6.26_2.6.26-22lenny1_all.deb
 be9c5c392a1ab0cf0a297063abf983f6 126228 devel optional linux-support-2.6.26-2_2.6.26-22lenny1_all.deb
 6ef2c4468e55570a3e571021299d4760 110906 devel optional linux-tree-2.6.26_2.6.26-22lenny1_all.deb
 9d71c45188552af06abd5a04d62b7c84 20931422 admin optional linux-image-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
 529d0af88248eeb9db6c720147c3c9c9 391290 devel optional linux-headers-2.6.26-2-amd64_2.6.26-22lenny1_amd64.deb
 ae8fed857d819d7a3dd5b3085c367085 3724662 devel optional linux-headers-2.6.26-2-common_2.6.26-22lenny1_amd64.deb
 604476ba9a35fdb435b4409e5323cf89 21102730 admin optional linux-image-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
 709b723fefd37764ab8bffb079eb312f 397220 devel optional linux-headers-2.6.26-2-openvz-amd64_2.6.26-22lenny1_amd64.deb
 a2cd8cdd414be8c412bd923576ccb456 3780338 devel optional linux-headers-2.6.26-2-common-openvz_2.6.26-22lenny1_amd64.deb
 acdbea58008fec881f380752f9fc3ea6 110350 devel optional linux-headers-2.6.26-2-all_2.6.26-22lenny1_amd64.deb
 0e703e2b4306ca1e68cc61460ef86686 110374 devel optional linux-headers-2.6.26-2-all-amd64_2.6.26-22lenny1_amd64.deb
 c06cd160c023755232e79c187b20a98e 753158 devel optional linux-libc-dev_2.6.26-22lenny1_amd64.deb
 a3c0bd81f9f9cc96d2e42521fb963fb9 20949852 admin optional linux-image-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
 7e2145ea394dcbd739307b7cff343ffc 391970 devel optional linux-headers-2.6.26-2-vserver-amd64_2.6.26-22lenny1_amd64.deb
 db362b7459220059221418a2b1542659 3757248 devel optional linux-headers-2.6.26-2-common-vserver_2.6.26-22lenny1_amd64.deb
 2119049dd7757d1a7aa9b0cb6d65a4e6 1809098 admin optional linux-image-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 c185e17d0ca1ed640106dbb828c919f8 19315990 admin optional linux-modules-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 d76eb180fa81f742ee87d9524f3bc5a3 387348 devel optional linux-headers-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 19ec7c8ca6e51c0a93352a059f9d5df8 110338 admin extra xen-linux-system-2.6.26-2-xen-amd64_2.6.26-22lenny1_amd64.deb
 9621b8e802a4e482de1db03572b0f72d 3856722 devel optional linux-headers-2.6.26-2-common-xen_2.6.26-22lenny1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFL6weshuANDBmkLRkRAi9NAJ4yEafzsAxw9eX90vI7SUWMGyhzDwCgkvYS
c4Iqo2H6E1qArptf6Buj4Pg=
=KNPz
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Wed, 26 May 2010 01:57:04 GMT) Full text and rfc822 format available.

Notification sent to Bruno Miguel <brunoalexandremiguel@gmail.com>:
Bug acknowledged by developer. (Wed, 26 May 2010 01:57:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Thu, 10 Jun 2010 18:48:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Jul 2010 07:32:12 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Mon, 02 Aug 2010 09:12:07 GMT) Full text and rfc822 format available.

Forcibly Merged 573071 579810 581703. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Mon, 02 Aug 2010 09:12:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Mon, 02 Aug 2010 09:15:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:07:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.